Skip to content

POST user group

This API call creates a user.

Location

/api/v1/portal-management/users/

Permissions required

admin-access-admins RW.

Body parameters

Parameter Type Required Description
user_group_uuid uuid yes The user-group uuid for the user.
user_email email yes The email address of the user.
user_first_name string yes The first name of the user.
user_last_name string yes The last name of the user.
user_phone_number string yes The phone number of the user.
user_status enum yes The user status of the user. Either inactive, banned or pending
user_pref_language enum yes Either en or nl

Example Body (json)

{
        "user_group_uuid": "d4cbf41b-6445-11f1-a54b-bc2411125ba4",
        "user_email": "test@domain.name",
        "user_first_name": "Pietje",
        "user_last_name": "Bel",
        "user_phone_number": "",
        "user_status": "pending",
        "user_pref_language": "en"
}

Example Request

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $baseUrl . '/api/v1/portal-management/users/',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POST => true,
    CURLOPT_POSTFIELDS => $json_payload,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $token,
        'Content-Type: application/json',
        'X-HTTP-Method-Override: DELETE'
    ],
]);

$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($response === false) {
    echo curl_error($curl);
}

curl_close($curl);

Example Response

"User created successfully. mail has been sent"

Known errors or issues.

None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.